Alokai

SapccApiGetCartsRequest

Request parameters for getCarts operation in SapccApi. SapccApiGetCartsRequest

interface SapccApiGetCartsRequest {
	readonly baseSiteId: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly savedCartsOnly?: boolean;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetCarts
currentPageOptionalnumberPagination for savedCartsOnly. Default value is 0. {number} SapccApiGetCarts
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetCarts
pageSizeOptionalnumberNumber of results returned per page if the savedCartsOnly parameter is set to true. Default value: 20. {number} SapccApiGetCarts
savedCartsOnlyOptionalbooleanIf the value is true, only saved carts are returned. {boolean} SapccApiGetCarts
sortOptionalstringSorting method applied to the return results if the savedCartsOnly parameter is set to true. {string} SapccApiGetCarts
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetCarts

On this page